OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Safe Haskell | None

Graphics.Rendering.OpenGL.GL.FramebufferObjects.Attachments

Description

# Documentation

data FramebufferObjectAttachment

Constructors

ColorAttachment !GLuint |
DepthAttachment |
StencilAttachment |
DepthStencilAttachment |

Instances

Eq FramebufferObjectAttachment |
Show FramebufferObjectAttachment |
FramebufferAttachment FramebufferObjectAttachment |

fboaToBufferMode :: FramebufferObjectAttachment -> Maybe BufferMode

fboaFromBufferMode :: BufferMode -> Maybe FramebufferObjectAttachment

maxColorAttachments :: GLenum

class Show a => FramebufferAttachment a where

Methods

marshalAttachment :: a -> Maybe GLenum

unmarshalAttachment :: GLenum -> a

unmarshalAttachmentSafe :: GLenum -> Maybe a

Instances

FramebufferAttachment BufferMode |
FramebufferAttachment FramebufferObjectAttachment |

framebufferRenderbuffer :: FramebufferTarget -> FramebufferObjectAttachment -> RenderbufferTarget -> RenderbufferObject -> IO ()

framebufferTexture1D :: FramebufferTarget -> FramebufferObjectAttachment -> TextureObject -> Level -> IO ()

framebufferTexture2D :: FramebufferTarget -> FramebufferObjectAttachment -> Maybe CubeMapTarget -> TextureObject -> Level -> IO ()

framebufferTexture3D :: FramebufferTarget -> FramebufferObjectAttachment -> TextureObject -> Level -> GLint -> IO ()

framebufferTextureLayer :: FramebufferTarget -> FramebufferObjectAttachment -> TextureObject -> Level -> GLint -> IO ()

getFBAParameteriv :: FramebufferAttachment fba => FramebufferTarget -> fba -> (GLint -> a) -> GLenum -> IO a